CC=gcc
CFLAGS=-std=c99 -Wall -pedantic -g3

all: ids

ids: main.o ids.o

	$(CC) $(CFLAGS) -o $@ $^
	echo "I just built ids!  Hooray!"

main.o: main.c ids.h
ids.o: ids.c ids.h

test: ids
	./ids

clean:
	$(RM) ids *.o